Skip to main content
POST
/
api
/
ContactIndividual
Create an Individual
curl --request POST \
  --url https://api.virtuoussoftware.com/api/ContactIndividual \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactId": "<integer>",
  "firstName": "<string>",
  "lastName": "<string>",
  "contactMethods": [
    {
      "type": "<string>",
      "value": "<string>",
      "isOptedIn": "<boolean>",
      "isPrimary": "<boolean>"
    },
    {
      "type": "<string>",
      "value": "<string>",
      "isOptedIn": "<boolean>",
      "isPrimary": "<boolean>"
    }
  ],
  "prefix": "<string>",
  "middleName": "<string>",
  "suffix": "<string>",
  "gender": "<string>",
  "setAsPrimary": "<boolean>",
  "setAsSecondary": "<boolean>",
  "birthMonth": "<integer>",
  "birthDay": "<integer>",
  "birthYear": "<integer>",
  "approximateAge": "<integer>",
  "isDeceased": "<boolean>",
  "deceasedDate": "<dateTime>",
  "passion": "<string>",
  "avatarUrl": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "name": "<string>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "name": "<string>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
'
{
  "id": "<integer>",
  "contactId": "<integer>",
  "prefix": "<string>",
  "firstName": "<string>",
  "middleName": "<string>",
  "lastName": "<string>",
  "suffix": "<string>",
  "gender": "<string>",
  "isPrimary": "<boolean>",
  "canBePrimary": "<boolean>",
  "isSecondary": "<boolean>",
  "canBeSecondary": "<boolean>",
  "birthMonth": "<integer>",
  "birthDay": "<integer>",
  "birthYear": "<integer>",
  "birthDate": "<string>",
  "approximateAge": "<integer>",
  "isDeceased": "<boolean>",
  "passion": "<string>",
  "avatarUrl": "<string>",
  "contactMethods": [
    {
      "id": "<integer>",
      "type": "<string>",
      "value": "<string>",
      "isOptedIn": "<boolean>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>"
    },
    {
      "id": "<integer>",
      "type": "<string>",
      "value": "<string>",
      "isOptedIn": "<boolean>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>"
    }
  ],
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
contactId
string
firstName
string
lastName
string
contactMethods
object[]
prefix
string
middleName
string
suffix
string
gender
string
setAsPrimary
string
setAsSecondary
string
birthMonth
string
birthDay
string
birthYear
string
approximateAge
string
isDeceased
string
deceasedDate
string
passion
string
avatarUrl
string
customFields
object[]
customCollections
object[]

Response

OK

id
string
contactId
string
prefix
string
firstName
string
middleName
string
lastName
string
suffix
string
gender
string
isPrimary
string
canBePrimary
string
isSecondary
string
canBeSecondary
string
birthMonth
string
birthDay
string
birthYear
string
birthDate
string
approximateAge
string
isDeceased
string
passion
string
avatarUrl
string
contactMethods
object[]
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
customFields
object[]
customCollections
object[]
Last modified on June 5, 2026